from astropy.wcs import WCS
from wcsaxes import datasets
from wcsaxes.frame import EllipticalFrame

hdu = datasets.fetch_msx_hdu()
wcs = WCS(hdu.header)

import matplotlib.pyplot as plt

fig = plt.figure()
ax = fig.add_axes([0.15, 0.15, 0.7, 0.7], projection=wcs,
                  frame_class=EllipticalFrame)

ax.coords.grid(color='white')

im = ax.imshow(hdu.data, vmin=-2.e-5, vmax=2.e-4, cmap=plt.cm.gist_heat,
          origin='lower')

# Clip the image to the frame
im.set_clip_path(ax.coords.frame.patch)