from astropy.wcs import WCS
from wcsaxes import datasets

hdu = datasets.fetch_msx_hdu()
wcs = WCS(hdu.header)

import matplotlib.pyplot as plt

fig = plt.figure()
ax = fig.add_axes([0.1, 0.1, 0.8, 0.8], projection=wcs)

ax.imshow(hdu.data, vmin=-2.e-5, vmax=2.e-4, cmap=plt.cm.gist_heat,
          origin='lower')